#pragma once

#include "armarx/navigation/core/Trajectory.h"

namespace armarx::navigation::server
{

    /**
     * @brief An executer the server navigator will use to send its control commands to.
     */
    class ExecutorInterface
    {

    public:
        virtual ~ExecutorInterface() = default;

        virtual void execute(const core::LocalTrajectory& trajectory) = 0;

        virtual void start() = 0;
        virtual void stop() = 0;
    };

} // namespace armarx::navigation::server
